net.fortuna.ical4j.data

## Class DefaultCalendarParserFactory

- java.lang.Object
- - net.fortuna.ical4j.data.CalendarParserFactory
  - - net.fortuna.ical4j.data.DefaultCalendarParserFactory

    public class DefaultCalendarParserFactory
    extends CalendarParserFactory

     $Id$

     Created on 08/02/2007

Default factory implementation for calendar parsers.

Author:
  Ben Fortuna

### Field Summary

### Fields inherited from class net.fortuna.ical4j.data.CalendarParserFactory

`KEY_FACTORY_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`DefaultCalendarParserFactory()`

### Method Summary

Methods
`CalendarParser` `createParser()` Returns a new instance of the configured `CalendarParser`.

### Methods inherited from class net.fortuna.ical4j.data.CalendarParserFactory

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultCalendarParserFactory

    public DefaultCalendarParserFactory()

### Method Detail

#### createParser

    public CalendarParser createParser()

Returns a new instance of the configured `CalendarParser`.

Specified by:
  `createParser` in class `CalendarParserFactory`
Returns:
  a calendar parser instance